{% assign date_format = site.i18n.date.format | default: "%b %-d, %Y" %}
{% assign license = site.posts | find: "layout", "license" %}

<article class="post h-entry" itemscope itemtype="http://schema.org/BlogPosting">

  <header class="post-header">
    <h1 class="post-title p-name" itemprop="name headline">{{ page.title | escape }}</h1>

    {% if page.description %}
      <div class="p-summary" itemprop="description">
        {{ page.description | allow_inclusive_language_in_markdown | markdownify }}
      </div>
    {% endif %}

    <p class="post-meta">
      <time class="dt-published" datetime="{{ page.date | date_to_xmlschema }}" itemprop="datePublished">
        {{ page.date | date: date_format }}
      </time>
      {%- if page.last_modified_at -%}
        ~
        <time class="dt-modified" datetime="{{ page.last_modified_at | date_to_xmlschema }}" itemprop="dateModified">
          {{ page.last_modified_at | date: date_format }}
        </time>
      {%- endif -%}
      {%- unless page.author == empty -%}
        • {% for author in page.author %}
          <span itemprop="author" itemscope itemtype="http://schema.org/Person">
            <span class="p-author h-card" itemprop="name">{{ author }}</span></span>
            {%- if forloop.last == false %}, {% endif -%}
        {% endfor %}
      {%- endunless -%}</p>

    {%- if page.image.path -%}
      <img itemprop="image" class="img-fluid" src="{{ page.image.path }}" alt="{{ page.image.description | default: page.title | escape }}" />
    {%- endif -%}
  </header>

  {% if page.content_warning %}
    <details>
      <summary>
        {{ site.i18n.cw }}
        {{ page.content_warning }}
      </summary>

      <div class="post-content e-content" itemprop="articleBody">
        {{ content }}
      </div>
    </details>
  {% else %}
    <div class="post-content e-content" itemprop="articleBody">
      {{ content }}
    </div>
  {% endif %}

  <footer>
    <a class="u-url" itemprop="url" href="{{ page.url }}" hidden>
      {{ site.url }}{{ page.url }}
    </a>

    {%- if page.uuid -%}
      <span hidden itemprop="identifier">{{ page.uuid }}</span>
    {%- endif -%}

    {%- if license -%}
      <p itemprop="license" itemtype="http://schema.org/CreativeWork">
        <a rel="license" itemprop="url" href="{{ license.url }}">
          <span itemprop="articleBody">
            {{ license.description }}
          </span>
        </a>
      </p>
    {%- endif -%}
  </footer>
</article>
